#include  <msp430x11x1.h>

// Constantes
#define K1000mS 32767;
#define K967mS  31686;
#define K100mS  3277;
#define K67mS   2196;

void main(void)
{
  WDTCTL = WDTPW + WDTHOLD; // Arrt du chien de garde
  P2DIR = 8; // P2.3 en sortie et P2.2 en entre
  P2SEL = 8; // OUT1 du TimerA aiguill sur P2.3
  CCR1  = K967mS; // Reset OUT1=P2.3  967mS (pour une horloge ACLK de 32768Hz)
  CCR0  = K1000mS; // Set OUT1=P2.3  1000mS (fermeture de ligne)
  CCTL1 = 0x00E0; // Configuration du timer : Capture inhibe
                  //                          Mode "Compare"
                  //                          Output mode = 7 (EQU1 reset OUT1, EQU0 set OUT1)
  TACTL = 0x0114; // Configuration du timer : Comptage "up" modulo CCR0
                  //                          Horloge = ACLK =32768Hz
                  //                          Prdiviseur = 1
                  //                          RAZ du compteur TAR
                  //                          Interruptions inhibes
}
